Skip to content
WP Engine Documentation

List your WordPress installations

GET
/installs
curl --request GET \
--url 'https://api.wpengineapi.com/v1/installs?limit=100&offset=0' \
--header 'Authorization: Basic <credentials>'
limit
integer
default: 100 <= 100

(Optional) The number of records to return

offset
integer
0

(Optional) The first record of the result set to be retrieved

account_id
string format: uuid

(Optional) The uuid of an account

List of WordPress installations

Media type application/json
object
previous

Path to the previous page of results

string
next

Path to the next page of results

string
count

The total number of results

integer
results
Array<object>
object
id
required
string format: uuid
name
required
string
/^[a-z][a-z0-9]{2,13}$/
account
required
object
id

The account ID

string format: uuid
php_version
required

The PHP version used to run WordPress (read-only)

string
status
string
Allowed values: active pending
site
object
id
string format: uuid
cname

Returns the CNAME of the install

string
stable_ips

A list of stable IPs bound to the install. This will only apply to some premium/enterprise plans

Array<string>
environment
string
Allowed values: production staging development
primary_domain

The primary domain for the install.

string
is_multisite
boolean
created_at

The date and time the install was created in UTC.

string format: date-time
wp_version

The WordPress version installed on the install. Only returned when requesting an individual install.

string
defer_wordpress_upgrades_until

If set, automatic WordPress core major updates will be deferred until this date. Only returned when requesting an individual install.

string format: date-time
Example
{
"previous": "https://api.wpengineapi.com/v1/example-endpoint?limit=100&offset=0",
"next": "https://api.wpengineapi.com/v1/example-endpoint?limit=100&offset=200",
"count": 225,
"results": [
{
"id": "294deacc-d8b8-4005-82c4-0727ba8ddde0",
"name": "torquemag",
"account": {
"id": "eeda3227-9a39-46ae-9e14-20958bb4e6c9"
},
"php_version": "7.0",
"status": "active",
"site": {
"id": "28c78b6d-c2da-4f09-85f5-1ad588089b2d"
},
"cname": "mywebsite.wpengine.com",
"stable_ips": [
"1.2.3.2",
"1.1.1.2"
],
"environment": "production",
"primary_domain": "mywebsite.wpengine.com",
"is_multisite": false,
"created_at": "2025-06-12T09:56:42.386Z",
"wp_version": "6.8.1",
"defer_wordpress_upgrades_until": "2025-12-31T23:59:59.999Z"
}
]
}

Bad Request

Media type application/json
object
message
required

A message regarding the error that occurred on the server

string
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string
errors

An array of error objects describing specific errors that arose when servicing the request

Array<object>
object
resource
required

The name of the resource that was being processed when the error occurred

string
field
required

(Optional) The specific field associated with the error

string
type
required

(Optional) A type associated with the error. invalid_value, access_error, value_unavailable

string
code
required

(Optional) A machine code relating to the error that occurred with the field and resource

string
message
required

(Optional) A human-readable message relating to the error that occurred with the field and resource

string
Example
{
"message": "Invalid Site: Name cannot be empty.",
"errors": [
{
"resource": "Site",
"field": "name",
"type": "invalid_value",
"code": "too_long",
"message": "Name is too long (maximum is 40 characters)"
}
]
}

Authentication Error

Media type application/json
object
message
required

A message regarding the error that occurred on the server

string
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string
Example
{
"message": "Bad Credentials"
}

Too many requests

Media type application/json

Service unavailable

Media type application/json